在Windows 更新和Windows 服务器更新中,微软的.NET Framework 4.6.1可以使用了


[原文发表地址]Microsoft .NET Framework 4.6.1 is available on Windows Update and WSUS

[原文发表时间]January 26, 2016

我们很高兴宣布微软的.NET Framework4.6.1和它的语言包都可以适用于Windows 更新(以下简称WU)以及在Windows 7 SP1Windows Server 2012 R2的Windows 服务器更新。针对于Windows8.1, Windows Server 2008 R2 SP1和Windows Server 2012 的离线安装程序 (KB3102436) 也存在了。另外, .NET Framework4.6.1也包含在Windows10的11月更新中。

此更新可以用控制面板里面的Windows 更新程序来获取。你可能需要使用Windows 更新程序里面的检查更新功能来获取这个更新的发布版本。

你可以从这里 (.NET Framework4.6.1介绍)学到更多关于.NET Framework 4.6.1 相关的知识。载入到这个版本的一些更改都会在.NET4.6.1的发布公告里面提到。

这个版本是如何获取的?

自动更新

首先,.NET framework 4.6.1是作为可选更新提供的,这意味着你需要用检查更新功能来获得.NET Framework4.6.1

在几星期后,.NET4.6.1将会作为推荐更新提供的,这意味着用户通过自动更新(AU)来启用(针对大多数用户),就会自动获得这个更新。用户可以通过修改他们的自动更新设置来提示他们,当有可用的更新或可供下载时,将可以看到有关此更新系统托盘的通知。

作为推荐更新,规划将在几周内推广到全球的不同的地区。那么,如果第一天你没有获得提供的更新并且你不想去等待,这个时候你就可以用检查更新功能来获取,就像之前所讲的那样。

Windows 服务器更新(以下简称WSUS)和目录

WSUS管理员将会在他们的WSUS管理平台上看到此更新。对于下载和部署,更新也能用在MU目录。

当你的WSUS服务器和微软更新服务器同步的时候(或者用微软更新目录网站导入更新),你会看到有.NET Framework 4.6.1的两个更新发布在各自的平台上。更新是有差异的,对于不同目标计算机的更新会被限制有不同的应用逻辑的差异。请认真阅读包含在更新说明书里的相关细节以便获得更多的更新信息。如果您在你计算机的运行环境下有部署.NET Framework 4.6.1的计划,我们建议您同时导入更新。

· 一些.NET Framework 4.6.1更新只能安装在已经安装了像.NET 4, 4.5, 4.5.1或者4.5.2这些之前版本的计算机上。

· 如果要安装其他的.NET Framework 4.6.1更新在计算机上,那么在操作系统支持的前提下,要么计算机上已经安装了.NET 4.6要么没有安装任何版本的.NET。

WU 适应性信息

.NET Framework 4.6.1语言包是可通过WU和WSUS获取。这是为了支持以前的.NET语言包的升级,例如.NET Framework 4, 4.5, 4.5.1, 4.5.2, 4.6。这个语言包也支持已经本地化的操作系统的计算机, 或者是已经安装了一个或者多个多语言用户界面(MUI)的安装包。有关于在Windows 7 SP1和Windows Server 2012 R2 上安装.NET 4.6.1语言包的详细信息分别包含在KB3102433KB3102521中。

没有安装.NET Framework 4.5.2或者更高版本的计算机,将会被提供.NET Framework 4.5.2和.NET Framework 4.6.1。你可以选择你需要的.NET Framework 版本。这里提供的矩阵看起来怎么样,依赖于你计算机安装的.NET Framework版本。

安装在你电脑上的.NET Framework 产品

是否提供.NET4.5.2?

是否提供.NET4.6.1?

没有安装或者只安装了.NET3.5

.NET4/4.5/4.5.1

.NET4.5.2

×

.NET4.6

×

.NET4.6.1或者之后的版本

×

×

阻止.NET Framework 4.6.1自动部署

企业可能直接连接到公共Windows Update服务器,而不是内部的WSUS服务器的客户机。在这种情况下,管理员可能需要去阻止.NET Framework 4.6.1被部署到这些客户机上,以便在部署之前完成内部申请。

再这样的情况下,为了避免.NET Framework 4.6.1被提供给这些设备,管理员可以在设备上设置一个注册开关。在下边微软知识库文章能找到更多的信息关于怎样去用这个拦截注册开关:

KB3133990:如何暂时地阻止.NET Framework4.6.1和其相应语言包的安装。

开发应用.NET Framework 4.6.1Visual Studio 2013

开发人员可以通过安装 .NET Framework 4.6.1开发包, 进而使用Visual Studio 2013创建.NET4.6.1的应用程序。

.NET Framework 4.6.1开发包

这个开发包是包含有.NET Framework 4.6.1, 并且还包含.NET4.6.1 面向包和 .NET Framework 4.6.1 软件开发工具包的一个单独的安装包。


Comments (0)

Skip to main content